/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 1.3.40
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package org.scilab.modules.graphic_export;


 /** 
  * Call from the JoGL display thread to figure drawing code using JNI 
  * @author Jean-Baptiste Silvy
  * @copyright INRIA 2007 
  */
public class GL2PSConstant {

 /**
  * Constructor. Should not be called.
  */
 protected GL2PSConstant() {
	throw new UnsupportedOperationException();
 }
  
 /**
  * get_GL2PS_MAJOR_VERSION
  * @return get_GL2PS_MAJOR_VERSION
  */
public static int get_GL2PS_MAJOR_VERSION() {
    return GL2PSConstantJNI.get_GL2PS_MAJOR_VERSION();
  }

  
 /**
  * get_GL2PS_MINOR_VERSION
  * @return get_GL2PS_MINOR_VERSION
  */
public static int get_GL2PS_MINOR_VERSION() {
    return GL2PSConstantJNI.get_GL2PS_MINOR_VERSION();
  }

  
 /**
  * get_GL2PS_PATCH_VERSION
  * @return get_GL2PS_PATCH_VERSION
  */
public static int get_GL2PS_PATCH_VERSION() {
    return GL2PSConstantJNI.get_GL2PS_PATCH_VERSION();
  }

  
 /**
  * get_GL2PS_EXTRA_VERSION
  * @return get_GL2PS_EXTRA_VERSION
  */
public static String get_GL2PS_EXTRA_VERSION() {
    return GL2PSConstantJNI.get_GL2PS_EXTRA_VERSION();
  }

  
 /**
  * get_GL2PS_PS
  * @return get_GL2PS_PS
  */
public static int get_GL2PS_PS() {
    return GL2PSConstantJNI.get_GL2PS_PS();
  }

  
 /**
  * get_GL2PS_EPS
  * @return get_GL2PS_EPS
  */
public static int get_GL2PS_EPS() {
    return GL2PSConstantJNI.get_GL2PS_EPS();
  }

  
 /**
  * get_GL2PS_TEX
  * @return get_GL2PS_TEX
  */
public static int get_GL2PS_TEX() {
    return GL2PSConstantJNI.get_GL2PS_TEX();
  }

  
 /**
  * get_GL2PS_PDF
  * @return get_GL2PS_PDF
  */
public static int get_GL2PS_PDF() {
    return GL2PSConstantJNI.get_GL2PS_PDF();
  }

  
 /**
  * get_GL2PS_SVG
  * @return get_GL2PS_SVG
  */
public static int get_GL2PS_SVG() {
    return GL2PSConstantJNI.get_GL2PS_SVG();
  }

  
 /**
  * get_GL2PS_PGF
  * @return get_GL2PS_PGF
  */
public static int get_GL2PS_PGF() {
    return GL2PSConstantJNI.get_GL2PS_PGF();
  }

  
 /**
  * get_GL2PS_NO_SORT
  * @return get_GL2PS_NO_SORT
  */
public static int get_GL2PS_NO_SORT() {
    return GL2PSConstantJNI.get_GL2PS_NO_SORT();
  }

  
 /**
  * get_GL2PS_SIMPLE_SORT
  * @return get_GL2PS_SIMPLE_SORT
  */
public static int get_GL2PS_SIMPLE_SORT() {
    return GL2PSConstantJNI.get_GL2PS_SIMPLE_SORT();
  }

  
 /**
  * get_GL2PS_BSP_SORT
  * @return get_GL2PS_BSP_SORT
  */
public static int get_GL2PS_BSP_SORT() {
    return GL2PSConstantJNI.get_GL2PS_BSP_SORT();
  }

  
 /**
  * get_GL2PS_SUCCESS
  * @return get_GL2PS_SUCCESS
  */
public static int get_GL2PS_SUCCESS() {
    return GL2PSConstantJNI.get_GL2PS_SUCCESS();
  }

  
 /**
  * get_GL2PS_INFO
  * @return get_GL2PS_INFO
  */
public static int get_GL2PS_INFO() {
    return GL2PSConstantJNI.get_GL2PS_INFO();
  }

  
 /**
  * get_GL2PS_WARNING
  * @return get_GL2PS_WARNING
  */
public static int get_GL2PS_WARNING() {
    return GL2PSConstantJNI.get_GL2PS_WARNING();
  }

  
 /**
  * get_GL2PS_ERROR 
  * @return get_GL2PS_ERROR
  */
public static int get_GL2PS_ERROR() {
    return GL2PSConstantJNI.get_GL2PS_ERROR();
  }

  
 /**
  * get_GL2PS_NO_FEEDBACK 
  * @return get_GL2PS_NO_FEEDBACK
  */
public static int get_GL2PS_NO_FEEDBACK() {
    return GL2PSConstantJNI.get_GL2PS_NO_FEEDBACK();
  }

  
 /**
  * get_GL2PS_OVERFLOW 
  * @return get_GL2PS_OVERFLOW
  */
public static int get_GL2PS_OVERFLOW() {
    return GL2PSConstantJNI.get_GL2PS_OVERFLOW();
  }

  
 /**
  * get_GL2PS_UNINITIALIZED 
  * @return get_GL2PS_UNINITIALIZED
  */
public static int get_GL2PS_UNINITIALIZED() {
    return GL2PSConstantJNI.get_GL2PS_UNINITIALIZED();
  }

  
 /**
  * get_GL2PS_NONE 
  * @return get_GL2PS_NONE
  */
public static int get_GL2PS_NONE() {
    return GL2PSConstantJNI.get_GL2PS_NONE();
  }

  
 /**
  * get_GL2PS_DRAW_BACKGROUND 
  * @return get_GL2PS_DRAW_BACKGROUND
  */
public static int get_GL2PS_DRAW_BACKGROUND() {
    return GL2PSConstantJNI.get_GL2PS_DRAW_BACKGROUND();
  }

  
 /**
  * get_GL2PS_SIMPLE_LINE_OFFSET 
  * @return get_GL2PS_SIMPLE_LINE_OFFSET
  */
public static int get_GL2PS_SIMPLE_LINE_OFFSET() {
    return GL2PSConstantJNI.get_GL2PS_SIMPLE_LINE_OFFSET();
  }

  
 /**
  * get_GL2PS_SILENT 
  * @return get_GL2PS_SILENT
  */
public static int get_GL2PS_SILENT() {
    return GL2PSConstantJNI.get_GL2PS_SILENT();
  }

  
 /**
  * get_GL2PS_BEST_ROOT 
  * @return get_GL2PS_BEST_ROOT
  */
public static int get_GL2PS_BEST_ROOT() {
    return GL2PSConstantJNI.get_GL2PS_BEST_ROOT();
  }

  
 /**
  * get_GL2PS_OCCLUSION_CULL 
  * @return get_GL2PS_OCCLUSION_CULL
  */
public static int get_GL2PS_OCCLUSION_CULL() {
    return GL2PSConstantJNI.get_GL2PS_OCCLUSION_CULL();
  }

  
 /**
  * get_GL2PS_NO_TEXT 
  * @return get_GL2PS_NO_TEXT
  */
public static int get_GL2PS_NO_TEXT() {
    return GL2PSConstantJNI.get_GL2PS_NO_TEXT();
  }

  
 /**
  * get_GL2PS_LANDSCAPE 
  * @return get_GL2PS_LANDSCAPE
  */
public static int get_GL2PS_LANDSCAPE() {
    return GL2PSConstantJNI.get_GL2PS_LANDSCAPE();
  }

  
 /**
  * get_GL2PS_NO_PS3_SHADING 
  * @return get_GL2PS_NO_PS3_SHADING
  */
public static int get_GL2PS_NO_PS3_SHADING() {
    return GL2PSConstantJNI.get_GL2PS_NO_PS3_SHADING();
  }

  
 /**
  * get_GL2PS_NO_PIXMAP 
  * @return get_GL2PS_NO_PIXMAP
  */
public static int get_GL2PS_NO_PIXMAP() {
    return GL2PSConstantJNI.get_GL2PS_NO_PIXMAP();
  }

  
 /**
  * get_GL2PS_USE_CURRENT_VIEWPORT 
  * @return get_GL2PS_USE_CURRENT_VIEWPORT
  */
public static int get_GL2PS_USE_CURRENT_VIEWPORT() {
    return GL2PSConstantJNI.get_GL2PS_USE_CURRENT_VIEWPORT();
  }

  
 /**
  * get_GL2PS_COMPRESS 
  * @return get_GL2PS_COMPRESS
  */
public static int get_GL2PS_COMPRESS() {
    return GL2PSConstantJNI.get_GL2PS_COMPRESS();
  }

  
 /**
  * get_GL2PS_NO_BLENDING 
  * @return get_GL2PS_NO_BLENDING
  */
public static int get_GL2PS_NO_BLENDING() {
    return GL2PSConstantJNI.get_GL2PS_NO_BLENDING();
  }

  
 /**
  * get_GL2PS_TIGHT_BOUNDING_BOX 
  * @return get_GL2PS_TIGHT_BOUNDING_BOX
  */
public static int get_GL2PS_TIGHT_BOUNDING_BOX() {
    return GL2PSConstantJNI.get_GL2PS_TIGHT_BOUNDING_BOX();
  }

  
 /**
  * get_GL2PS_POLYGON_OFFSET_FILL 
  * @return get_GL2PS_POLYGON_OFFSET_FILL
  */
public static int get_GL2PS_POLYGON_OFFSET_FILL() {
    return GL2PSConstantJNI.get_GL2PS_POLYGON_OFFSET_FILL();
  }

  
 /**
  * get_GL2PS_POLYGON_BOUNDARY 
  * @return get_GL2PS_POLYGON_BOUNDARY
  */
public static int get_GL2PS_POLYGON_BOUNDARY() {
    return GL2PSConstantJNI.get_GL2PS_POLYGON_BOUNDARY();
  }

  
 /**
  * get_GL2PS_LINE_STIPPLE 
  * @return get_GL2PS_LINE_STIPPLE
  */
public static int get_GL2PS_LINE_STIPPLE() {
    return GL2PSConstantJNI.get_GL2PS_LINE_STIPPLE();
  }

  
 /**
  * get_GL2PS_BLEND 
  * @return get_GL2PS_BLEND
  */
public static int get_GL2PS_BLEND() {
    return GL2PSConstantJNI.get_GL2PS_BLEND();
  }

  
 /**
  * get_GL2PS_TEXT_C 
  * @return get_GL2PS_TEXT_C
  */
public static int get_GL2PS_TEXT_C() {
    return GL2PSConstantJNI.get_GL2PS_TEXT_C();
  }

  
 /**
  * get_GL2PS_TEXT_CL 
  * @return get_GL2PS_TEXT_CL
  */
public static int get_GL2PS_TEXT_CL() {
    return GL2PSConstantJNI.get_GL2PS_TEXT_CL();
  }

  
 /**
  * get_GL2PS_TEXT_CR 
  * @return get_GL2PS_TEXT_CR
  */
public static int get_GL2PS_TEXT_CR() {
    return GL2PSConstantJNI.get_GL2PS_TEXT_CR();
  }

  
 /**
  * get_GL2PS_TEXT_B 
  * @return get_GL2PS_TEXT_B
  */
public static int get_GL2PS_TEXT_B() {
    return GL2PSConstantJNI.get_GL2PS_TEXT_B();
  }

  
 /**
  * get_GL2PS_TEXT_BL 
  * @return get_GL2PS_TEXT_BL
  */
public static int get_GL2PS_TEXT_BL() {
    return GL2PSConstantJNI.get_GL2PS_TEXT_BL();
  }

  
 /**
  * get_GL2PS_TEXT_BR 
  * @return get_GL2PS_TEXT_BR
  */
public static int get_GL2PS_TEXT_BR() {
    return GL2PSConstantJNI.get_GL2PS_TEXT_BR();
  }

  
 /**
  * get_GL2PS_TEXT_T 
  * @return get_GL2PS_TEXT_T
  */
public static int get_GL2PS_TEXT_T() {
    return GL2PSConstantJNI.get_GL2PS_TEXT_T();
  }

  
 /**
  * get_GL2PS_TEXT_TL 
  * @return get_GL2PS_TEXT_TL
  */
public static int get_GL2PS_TEXT_TL() {
    return GL2PSConstantJNI.get_GL2PS_TEXT_TL();
  }

  
 /**
  * get_GL2PS_TEXT_TR 
  * @return get_GL2PS_TEXT_TR
  */
public static int get_GL2PS_TEXT_TR() {
    return GL2PSConstantJNI.get_GL2PS_TEXT_TR();
  }

}
